%define major 0
%define libname %mklibname maitretarot %major
%define libnamedevel %mklibname -d maitretarot

Summary: The Maitretarot library
Name: libmaitretarot
Version: 0.1.98
Release: %mkrel 13
License: GPLv2+
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libxml2-devel

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot 
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libname
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%description -n %libname -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libnamedevel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}%{name}0-devel

%description -n %libnamedevel
This package is need to build application wich use Libmaitretarot.

%description -n %libnamedevel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmaitretarot.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS COPYING ChangeLog 
%{_libdir}/*.so.%{major}*

%files -n %libnamedevel
%{_libdir}/*.so
%{_includedir}/maitretarot.h





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.98-13.mga3
+ Revision: 357722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.1.98-12.mga3
+ Revision: 335851
- disable static build and get rid of .la files
- clean .spec a bit

* Sat May 14 2011 nanardon <nanardon> 0.1.98-11.mga1
+ Revision: 98710
- imported package libmaitretarot

